#
#	Only change CONFIG to the right .mk file.
#

CONFIG = ../system.mk

#
#	Do Not Edit below here. Everything should be setup in the config
#

include $(CONFIG)

DOCS = sample_features sample_motdclue sample_sysdef sample_motd sample_ports \
	sample_time sample_motdbasep sample_reserved sample_tourn.map

install: $(DOCS)
	if [ ! -f $(LIBDIR)/.features ]; then \
		$(INSTALLDATA) sample_features	$(LIBDIR)/.features ; \
	fi
	if [ ! -f $(LIBDIR)/.motd_clue ]; then \
		$(INSTALLDATA) sample_motdclue	$(LIBDIR)/.motd_clue ; \
	fi
	if [ ! -f $(LIBDIR)/motd_clue_logo.MASTER ]; then \
		$(INSTALLDATA) sample_motdclue	$(LIBDIR)/motd_clue_logo.MASTER ; \
	fi
	if [ ! -f $(LIBDIR)/motd_basep_logo.MASTER ]; then \
		$(INSTALLDATA) sample_motdbasep	$(LIBDIR)/motd_basep_logo.MASTER ; \
	fi
	if [ ! -f $(LIBDIR)/.sysdef ]; then \
		$(INSTALLDATA) sample_sysdef	$(LIBDIR)/.sysdef ; \
	fi
	if [ ! -f $(LIBDIR)/.motd ]; then \
		$(INSTALLDATA) sample_motd	$(LIBDIR)/.motd ; \
	fi
	if [ ! -f $(LIBDIR)/motd_logo.MASTER ]; then \
		$(INSTALLDATA) sample_motd	$(LIBDIR)/motd_logo.MASTER ; \
	fi
	if [ ! -f $(LIBDIR)/.ports ]; then \
		$(INSTALLDATA) sample_ports	$(LIBDIR)/.ports ; \
	fi
	if [ ! -f $(LIBDIR)/.time ]; then \
		$(INSTALLDATA) sample_time	$(LIBDIR)/.time ; \
	fi
	if [ ! -f $(LIBDIR)/.motd_basep ]; then \
		$(INSTALLDATA) sample_motdbasep	$(LIBDIR)/.motd_basep ; \
	fi
	if [ ! -f $(LIBDIR)/.reserved ]; then \
		$(INSTALLDATA) sample_reserved	$(LIBDIR)/.reserved ; \
	fi
	if [ ! -f $(LIBDIR)/.tourn.map ]; then \
		$(INSTALLDATA) sample_tourn.map	$(LIBDIR)/.tourn.map ; \
	fi
	touch $(LIBDIR)/.nocount
	touch $(LIBDIR)/.banned
	touch $(LIBDIR)/.bypass
